package com.engine.salary.enums.salarybill;

import com.engine.salary.enums.BaseEnum;

public enum SalaryTemplateWatermarkTypeEnum implements BaseEnum<String> {

    DEFAULT("DEFAULT", "系统默认水印", 220057),
    CUSTOM("CUSTOM", "自定义水印", 220058);

    private String value;

    private String defaultLabel;

    private int labelId;

    SalaryTemplateWatermarkTypeEnum(String value, String defaultLabel, int labelId) {
        this.value = value;
        this.defaultLabel = defaultLabel;
        this.labelId = labelId;
    }

    public String getValue() {
        return value;
    }

    public String getDefaultLabel() {
        return defaultLabel;
    }

    public Integer getLabelId() {
        return labelId;
    }
}
